#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: ksnapshot
Summary: KDE Screenshot Utility
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/ksnapshot
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(libkipi)
Conflicts:     kdegraphics4-devel < 2:4.6.90
Requires:      kipi-common
Suggests:      ksnapshot-handbook
Suggests:      kipi-plugins-flickr
Suggests:      kipi-plugins-debianscreenshot
Suggests:      kipi-plugins-picasa
Suggests:      kipi-plugins-sendimages
Suggests:      kipi-plugins-ipodexport
Suggests:      kipi-plugins-printimages
Suggests:      kipi-plugins-facebook
Suggests:      kipi-plugins-galleryexport
Suggests:      kipi-plugins-rajceexport
Suggests:      kipi-plugins-htmlexport
# Branch Patch (100-200)

%description
KSnapshot is a KDE snapshot tool with many features.
Features:
    - Save in multiple formats
    - Take new snapshot
    - Open with... possibility to open snapshot in external editor.
    - Copy to clipboard
    - Several capture modes, including selected region or single window
    - Snapshot delay

%files
%_kde_bindir/kbackgroundsnapshot
%_kde_bindir/%name
%_kde_datadir/applications/kde4/%name.desktop
%_kde_iconsdir/hicolor/*/apps/%name.png
%_kde_iconsdir/hicolor/scalable/apps/%name.svgz
%_datadir/dbus-1/interfaces/org.kde.ksnapshot.xml

#------------------------------------------------------------------------------

%package handbook
Summary: Ksnapshot Handbook
Conflicts: ksnapshot < 2:4.7.1
Requires:  ksnapshot >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description handbook
This package provides ksnapshot handbook.

%files handbook
%docdir %_kde_docdir/
%_kde_docdir/HTML/en/%name/
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 2:4.10.5-1.1.mga3
+ Revision: 450677
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407177
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401919
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394354
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339400
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334508
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326713
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320266
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316150
- Update tarball to KDE SC 4.9.3
- Use pkgconfig()

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301926
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289715
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277079
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269702
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265784
- Correct a typo (reported by rpmlint)
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257217
- new version 4.8.4

* Sun Apr 22 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232709
- Suggests only kipi-plugins used by ksnapshot instead of the metapackage
- Add missing requires for handbooks

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228471
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221499
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 199195
- Add kipi-plugins as suggests
- Use %%docdir macro
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191021
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185922
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182151
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176486
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161379
- Update tarball to KDE SC 4.7.3
- use correct macro for dbus files

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151973
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140664
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122496
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jul 06 2011 ahmad <ahmad> 2:4.6.90-2.mga2
+ Revision: 119143
- Fix conflicts

* Mon Jun 27 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 114911
- imported package ksnapshot

